## Index

### Modules

- Framework

### Enumerations

- LOCAL_CODE_BASE
- RESULT_CODE
- RESULT_CODE_BASE

### Variables

- FUNCTION_CODE_RANGE
- _defaultBackButtonHandler

### Functions

- setBackButtonHandler
- waitForDeviceReady

## Variables

### FUNCTION_CODE_RANGE

FUNCTION_CODE_RANGE: 10 = 10

- Defined in ErrorDefs.ts:12

### _defaultBackButtonHandler

_defaultBackButtonHandler: function = null

- Defined in CoreAPI.ts:33

#### Type declaration

- - (event?: Event): void

  - #### Parameters

    - ##### Optional event: Event

    #### Returns void

## Functions

### setBackButtonHandler

- setBackButtonHandler(handler: function): function

- - Defined in CoreAPI.ts:46
  en

    Setup H/W Back key handler.

  ja

    H/W Back key ハンドラの設定関数

  #### Parameters

  - ##### handler: function

    - - (event?: Event): void

      - #### Parameters

        - ##### Optional event: Event

        #### Returns void

  #### Returns function

  - `en` old handler function.
  - `ja` 以前の handler.
  - - (event?: Event): void
    - - `en` handler function.
      - `ja` handler 指定.

      #### Parameters

      - ##### Optional event: Event

      #### Returns void

### waitForDeviceReady

- waitForDeviceReady(): Promise<void>

- - Defined in CoreAPI.ts:15
  en

    The function returned Promise waits until `cordova` is ready.
    [Note] emulate when PC enviroment.

  ja

    `cordova` が有効になるまで待機
    PC 環境ではエミュレートされる。

  #### Returns Promise<void>

Generated using TypeDoc